## GtrApplication

GtrApplication

## Functions

#define | GTR_APP
GList * | gtr_application_get_views ()
GtrWindow * | gtr_application_create_window ()
GtrWindow * | gtr_application_get_active_window ()
void | gtr_application_register_icon ()

## Description

## Functions

### GTR_APP

    #define GTR_APP                         (GTR_APPLICATION (g_application_get_default()))

### gtr_application_get_views ()

    GList *
    gtr_application_get_views (GtrApplication *app,
                               gboolean original,
                               gboolean translated);

Returns all the views currently present in GtranslationApplication.

#### Parameters

app | the GtranslationApplication |
original | TRUE if you want original TextViews. |
translated | TRUE if you want translated TextViews. |

#### Returns

a newly allocated list of GtranslationApplication objects.

[transfer container][element-type Gtranslator.View]

### gtr_application_create_window ()

    GtrWindow *
    gtr_application_create_window (GtrApplication *app);

Creates a new GtrWindow and shows it.

#### Parameters

app | a GtrApplication |

#### Returns

the GtrWindow to be opened.

[transfer none]

### gtr_application_get_active_window ()

    GtrWindow *
    gtr_application_get_active_window (GtrApplication *app);

#### Parameters

app | a GtrApplication |

#### Returns

the active GtrWindow.

[transfer none]

### gtr_application_register_icon ()

    void
    gtr_application_register_icon (GtrApplication *app,
                                   const gchar *icon,
                                   const gchar *stock_id);

Registers a new `icon` with the `stock_id` .

#### Parameters

app | a GtrApplication |
icon | the name of the icon |
stock_id | the stock id for the new icon |

## Types and Values